Retrieves a list of transactions for a business date.

​

Path Parameters

  • The identifier for the organization.

  • The location identifier of the location to retrieve transactions for.

Query Parameters

  • The maximum number of records to return.

  • Records after this cursor will be returned.

  • The business date to retrieve transactions for.

Responses

  • application/json
  • application/json
  • Unauthorized

  • application/json
  • Too many requests in past minute

  • Internal Server Error

Request Example for get/api/v1/Organizations/{organization_code}/locations/{location_id}/retail_transactions
curl '/api/v1/Organizations/{organization_code}/locations/1/retail_transactions?date=' \
  --header 'ApiKey: YOUR_SECRET_TOKEN'
{
  "paging": {
    "cursor": {
      "after": null
    },
    "next": null
  },
  "data": [
    {
      "id": "123",
      "identifier": "345678",
      "business_day": "2017-02-01",
      "check_number": "345678",
      "register_number": "3",
      "status": "None",
      "status_detail": "Undeliverable",
      "is_split_transfer": true,
      "order_entry_employee": {
        "id": 123456,
        "first_name": "John",
        "last_name": "Doe",
        "middle_initial": "H",
        "phone": "9876543210",
        "alternative_phone": "1234567890",
        "email": "johnhdoe@example.com",
        "last_update": "2017-02-02",
        "hire_date": "2017-02-01",
        "birth_date": "2000-02-01",
        "term_code": "QUIT",
        "term_date": "2017-02-01",
        "home_location_id": null,
        "gender": "Other",
        "address": "2017-02-01",
        "client_worker_identification": {
          "company_code": "GR8",
          "identifier": "TK-1138"
        }
      },
      "cashier": {
        "id": 123456,
        "first_name": "John",
        "last_name": "Doe",
        "middle_initial": "H",
        "phone": "9876543210",
        "alternative_phone": "1234567890",
        "email": "johnhdoe@example.com",
        "last_update": "2017-02-02",
        "hire_date": "2017-02-01",
        "birth_date": "2000-02-01",
        "term_code": "QUIT",
        "term_date": "2017-02-01",
        "home_location_id": null,
        "gender": "Other",
        "address": "2017-02-01",
        "client_worker_identification": {
          "company_code": "GR8",
          "identifier": "TK-1138"
        }
      },
      "total_amount": {
        "amount": 3.5,
        "currency_code": "USD"
      },
      "tax_amount": {
        "amount": 3.5,
        "currency_code": "USD"
      },
      "discount_amount": {
        "amount": 3.5,
        "currency_code": "USD"
      },
      "open_time": "2026-11-03T20:45:39.647Z",
      "closed_time": null,
      "channel": {
        "name": "Delivery Service Front Counter",
        "description": "Delivery Service Picked up from Front Counter",
        "group": "DeliveryService"
      },
      "destination": {
        "name": "Delivery Service Front Counter",
        "description": "Delivery Service Picked up from Front Counter",
        "group": "DeliveryService"
      },
      "tender": [
        {
          "type": "CreditDebit",
          "subtender_type": "DiscoverCard",
          "amount": {
            "amount": 3.5,
            "currency_code": "USD"
          },
          "change": {
            "amount": 3.5,
            "currency_code": "USD"
          },
          "amount_applied_to_bill": {
            "amount": 3.5,
            "currency_code": "USD"
          },
          "gift_card_number": null,
          "account_number_last_four": null,
          "tip_amount": {
            "amount": 3.5,
            "currency_code": "USD"
          }
        }
      ],
      "line_items": [
        {
          "id": 1,
          "price_modifiers": [
            {
              "key": null,
              "group_type": "None",
              "amount": {
                "amount": 3.5,
                "currency_code": "USD"
              },
              "quantity": 1,
              "approval": {
                "approver": {
                  "id": 123456,
                  "first_name": "John",
                  "last_name": "Doe",
                  "middle_initial": "H",
                  "phone": "9876543210",
                  "alternative_phone": "1234567890",
                  "email": "johnhdoe@example.com",
                  "last_update": "2017-02-02",
                  "hire_date": "2017-02-01",
                  "birth_date": "2000-02-01",
                  "term_code": "QUIT",
                  "term_date": "2017-02-01",
                  "home_location_id": null,
                  "gender": "Other",
                  "address": "2017-02-01",
                  "client_worker_identification": {}
                }
              },
              "entered_by": {
                "id": 123456,
                "first_name": "John",
                "last_name": "Doe",
                "middle_initial": "H",
                "phone": "9876543210",
                "alternative_phone": "1234567890",
                "email": "johnhdoe@example.com",
                "last_update": "2017-02-02",
                "hire_date": "2017-02-01",
                "birth_date": "2000-02-01",
                "term_code": "QUIT",
                "term_date": "2017-02-01",
                "home_location_id": null,
                "gender": "Other",
                "address": "2017-02-01",
                "client_worker_identification": {
                  "company_code": "GR8",
                  "identifier": "TK-1138"
                }
              },
              "entered_time": null,
              "description": null
            }
          ],
          "type": "None",
          "split_transfer": {
            "type": "Unknown",
            "direction": "Unknown",
            "transaction_id": null
          },
          "item": {
            "key": null,
            "type": "None",
            "name": null,
            "product_type_id": null,
            "product_type_name": null,
            "is_part_of": null,
            "action_code": "None",
            "is_deferred_sale": null
          },
          "quantity": null,
          "actual_price": {
            "amount": 3.5,
            "currency_code": "USD"
          },
          "regular_price": {
            "amount": 3.5,
            "currency_code": "USD"
          },
          "applied_time": null,
          "is_void": true,
          "void_approval": {
            "approver": {
              "id": 123456,
              "first_name": "John",
              "last_name": "Doe",
              "middle_initial": "H",
              "phone": "9876543210",
              "alternative_phone": "1234567890",
              "email": "johnhdoe@example.com",
              "last_update": "2017-02-02",
              "hire_date": "2017-02-01",
              "birth_date": "2000-02-01",
              "term_code": "QUIT",
              "term_date": "2017-02-01",
              "home_location_id": null,
              "gender": "Other",
              "address": "2017-02-01",
              "client_worker_identification": {
                "company_code": "GR8",
                "identifier": "TK-1138"
              }
            }
          },
          "is_cancel": true,
          "is_delete": true,
          "reason": null
        }
      ]
    }
  ],
  "data_type": null,
  "available_requests": 1
}